# SAP BAS dev space keep-alive

This script will start a SAP BAS dev space and keep it running.

It uses Playwright for browser automation and Deno 2 as a runtime.

You can use SSH port forwarding with the started dev space to access SAP proxy locally for
remote system access for a true local development.

## Setup and usage

Copy the `example.env` to `.env` and fill in the necessary details for BAS access.

```sh
brew install deno
deno run -A npm:playwright install
./run.sh
```

## Debugging

Set `DENO_HEADLESS=false` to see the browser as the actions are taken.
